(function($) {

  Drupal.behaviors.title_case = {
    attach: function(context, settings) {

      // Remove new line breaks from selectors *(required for IE7)
      var sel = Drupal.settings.title_case.selectors.replace(/(\r\n|\n|\r)/gm," ");

      // Apply the conversions to the selector.
      $(sel, context).each(function() {
        var sConverted = $(this).html().toTitleCase();

        // Apply the exceptions.
        var tokens = sConverted.split(' ');

        for(var i in tokens) {
          $.each(Drupal.settings.title_case.exceptions, function(j, exp) {

            if ($.trim(tokens[i]).toLowerCase() == $.trim(exp).toLowerCase()) {
              tokens[i] = exp;
            }
          });
        }

        var newTitle = tokens.join(' ');
        newTitle = newTitle.replace(/\&Amp;/g , '&'); // Special handling for ampersand.

        // IE bug jQuery cannot use .html() for elements in <HEAD>
        if($(this).get(0).tagName == 'TITLE') {
            document.title = newTitle;
        }
        else {
          $(this).html(newTitle);
        }

      });
    }
  };

})(jQuery);
